package com.persagy.dmp.codetable.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.persagy.dmp.codetable.entity.CodeTableType;

import java.util.List;

/**
 * 码表类型 service
 * @author Charlie Yu
 * @date 2021-07-27
 */
public interface ICodeTableTypeService {

    /**
     * 新增
     * @param vo
     * @return
     */
    CodeTableType insert(CodeTableType vo);

    /**
     * 修改
     * @param vo
     * @return
     */
    CodeTableType update(CodeTableType vo);

    /**
     * 删除
     * @param id
     */
    void delete(String id);

    /**
     * 通过ID查询
     * @param id 主键
     * @return
     */
    CodeTableType load(String id);

    /**
     * 通过编码查询
     * @param projectId 项目ID
     * @param code 编码
     * @return
     */
    CodeTableType loadByCode(String projectId, String code);

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<CodeTableType> queryByCondition(Wrapper<CodeTableType> queryWrapper);
}
